Debian Bug report logs - #593700
warsow: FTBFS on ia64

version graph

Package: src:warsow; Maintainer for src:warsow is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: Julien Cristau <jcristau@debian.org>

Date: Fri, 20 Aug 2010 13:09:08 UTC

Severity: important

Tags: patch, pending

Found in version warsow/0.50+dfsg1-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#593700; Package src:warsow. (Fri, 20 Aug 2010 13:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 20 Aug 2010 13:09:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: warsow: FTBFS on ia64
Date: Fri, 20 Aug 2010 14:08:03 +0100
[Message part 1 (text/plain, inline)]
Package: src:warsow
Version: 0.50+dfsg1-1
Severity: serious
Justification: fails to build from source

See
https://buildd.debian.org/fetch.cgi?pkg=warsow&arch=ia64&ver=0.50%2Bdfsg1-1&stamp=1270692298&file=log&as=raw

ia64-linux-gnu-gcc -g -O2 -pipe -I. -I/usr/include -I/usr/X11R6/include -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -Wall -O2 -fno-strict-aliasing -ffast-math -funroll-loops -DNDEBUG -c snd_qf/snd_mix.c -o build/qf/snd_mix.o -DPIC -fPIC -D_REENTRANT
{standard input}: Assembler messages:
{standard input}:26: Error: Unknown opcode `pushl %edi'
{standard input}:27: Error: Unknown opcode `pushl %ebx'
{standard input}:28: Error: bad expression
{standard input}:28: Error: Illegal operand separator `e'
{standard input}:29: Error: bad expression
{standard input}:29: Error: Illegal operand separator `e'
{standard input}:30: Error: bad expression
{standard input}:30: Error: Illegal operand separator `e'
[...]

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#593700; Package src:warsow. (Sat, 13 Nov 2010 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sat, 13 Nov 2010 18:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 593700@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 593700@bugs.debian.org
Subject: Re: Bug#593700: warsow: FTBFS on ia64
Date: Sat, 13 Nov 2010 18:15:02 +0000
On Fri, Aug 20, 2010 at 02:08:03PM +0100, Julien Cristau wrote:
>Package: src:warsow
>Version: 0.50+dfsg1-1
>Severity: serious
>Justification: fails to build from source
>
>See
>https://buildd.debian.org/fetch.cgi?pkg=warsow&arch=ia64&ver=0.50%2Bdfsg1-1&stamp=1270692298&file=log&as=raw
>
>ia64-linux-gnu-gcc -g -O2 -pipe -I. -I/usr/include -I/usr/X11R6/include -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -Wall -O2 -fno-strict-aliasing -ffast-math -funroll-loops -DNDEBUG -c snd_qf/snd_mix.c -o build/qf/snd_mix.o -DPIC -fPIC -D_REENTRANT
>{standard input}: Assembler messages:
>{standard input}:26: Error: Unknown opcode `pushl %edi'
>{standard input}:27: Error: Unknown opcode `pushl %ebx'
>{standard input}:28: Error: bad expression
>{standard input}:28: Error: Illegal operand separator `e'
>{standard input}:29: Error: bad expression
>{standard input}:29: Error: Illegal operand separator `e'
>{standard input}:30: Error: bad expression
>{standard input}:30: Error: Illegal operand separator `e'
>[...]

Looking at the source, it looks like it's assuming that anything
non-Win32 and using GNU C is i386, so it's using inline i386 asm. I
can see some stuff in the Makefile for dealing with other
architectures, but there's no sign of it having any effect here.

I'd suggest changing this package to switch from Architecture: any to
list just i386 etc...

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Who needs computer imagery when you've got Brian Blessed?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#593700; Package src:warsow. (Tue, 16 Nov 2010 02:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 16 Nov 2010 02:33:03 GMT) Full text and rfc822 format available.

Message #15 received at 593700@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: 593700@bugs.debian.org
Subject: The package has a generic C version of this function
Date: Mon, 15 Nov 2010 21:29:44 -0500 (EST)
Take a look at line 35 of source/snd_qf/snd_mix.c. There is (what appears 
to be) a portable C version of the S_WriteLinearBlastStereo16 function.

Now to take a look at what guides the choices at compile time....




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#593700; Package src:warsow. (Fri, 17 Dec 2010 23:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to balint@balintreczey.hu:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 17 Dec 2010 23:33:03 GMT) Full text and rfc822 format available.

Message #20 received at 593700@bugs.debian.org (full text, mbox):

From: Bálint Réczey <balint@balintreczey.hu>
To: 593700@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: The package has a generic C version of this function
Date: Sat, 18 Dec 2010 00:32:04 +0100
[Message part 1 (text/plain, inline)]
tag 593700 patch
thanks

Hi,

I think this small patch should fix the ia64 build problem.
I haven't tried it myself because I lack the necessary hardware.

Cheers,
Balint
[use-c-on-ia64.patch (text/x-c, attachment)]

Added tag(s) patch. Request was from Bálint Réczey <balint@balintreczey.hu> to control@bugs.debian.org. (Fri, 17 Dec 2010 23:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#593700; Package src:warsow. (Sat, 01 Jan 2011 16:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Butler <chrisb@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sat, 01 Jan 2011 16:57:06 GMT) Full text and rfc822 format available.

Message #27 received at 593700@bugs.debian.org (full text, mbox):

From: Chris Butler <chrisb@debian.org>
To: Asheesh Laroia <asheesh@asheesh.org>, 593700@bugs.debian.org
Subject: Re: Bug#593700: The package has a generic C version of this function
Date: Sat, 1 Jan 2011 16:53:42 +0000
[Message part 1 (text/plain, inline)]
On Mon, Nov 15, 2010 at 09:29:44PM -0500, Asheesh Laroia wrote:
> Take a look at line 35 of source/snd_qf/snd_mix.c. There is (what
> appears to be) a portable C version of the
> S_WriteLinearBlastStereo16 function.
> 
> Now to take a look at what guides the choices at compile time....

This seems to have been caused by the following change:

  * New upstream release. (Closes: #544787).
      + Don't apply fix_different_archs.diff, upstream source different.

Part of that patch includes the following change to
./warsow_0.42_src/source/game/q_shared.h:

-#if ( defined ( _M_IX86 ) || defined ( __i386__ ) || defined ( __ia64__ ) ) && !defined ( C_ONLY )
+#if (defined(_M_IX86) || defined(__i386__)) && !defined(C_ONLY)
 #define id386
 #else
 #ifdef id386


i.e. it stops it from defining "id386" when __ia6__ is defined. "id386" is
used to determine when to use the x86 assembler code.

The location of this file has changed, it is now at
./source/gameshared/q_arch.h, but the patch is easily applied to that file
instead. Refreshed patch is attached.


This bug doesn't affect the version of the package that's currently in
testing, since this new upstream release never migrated.

-- 
Chris Butler <chrisb@debian.org>
  GnuPG Key ID: 4096R/49E3ACD3
[fix_different_archs.diff (text/x-diff, attachment)]

Bug Marked as fixed in versions warsow/--help. Request was from Olly Betts <olly@survex.com> to control@bugs.debian.org. (Sat, 03 Dec 2011 21:27:10 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions warsow/0.50+dfsg1-1+rm. Request was from Olly Betts <olly@survex.com> to control@bugs.debian.org. (Sat, 03 Dec 2011 21:27:13 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions warsow/--help. Request was from Olly Betts <olly@survex.com> to control@bugs.debian.org. (Sat, 03 Dec 2011 21:27:16 GMT) Full text and rfc822 format available.

Reply sent to Olly Betts <olly@survex.com>:
You have taken responsibility. (Sat, 03 Dec 2011 23:18:18 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Sat, 03 Dec 2011 23:18:18 GMT) Full text and rfc822 format available.

Message #38 received at 593700-done@bugs.debian.org (full text, mbox):

From: Olly Betts <olly@survex.com>
To: 593700-done@bugs.debian.org, 564108-done@bugs.debian.org, 564109-done@bugs.debian.org
Subject: Closing bugs - warsow package has been removed from unstable and testing
Date: Sun, 4 Dec 2011 12:15:17 +1300
Removed from unstable 2011-11-26:
> We believe that the bug you reported is now fixed; the following
> package(s) have been removed from unstable:
>
>     warsow | 0.42.dfsg1-1.1 | source, ia64
>     warsow | 0.50+dfsg1-1 | source, amd64, armel, i386, mips, mipsel, powerpc, s390, sparc
> warsow-server | 0.42.dfsg1-1.1 | ia64
> warsow-server | 0.50+dfsg1-1 | amd64, armel, i386, mips, mipsel, powerpc, s390, sparc
>
> ------------------- Reason -------------------
> RoQA: FTBFS on release architectures, unmaintained
> ----------------------------------------------

Removed from testing 2011-11-27:
> FYI: The status of the warsow source package
> in Debian's testing distribution has changed.
>
>   Previous version: 0.42.dfsg1-1.1
>   Current version:  (not in testing)
>   Hint: Package not in unstable
>
> The script that generates this mail tries to extract removal
> reasons from comments in the britney hint files. Those comments
> were not originally meant to be machine readable, so if the
> reason for removing your package seems to be nonsense, it is
> probably the reporting script that got confused. Please check the
> actual hints file before you complain about meaningless removals.





Bug reopened Request was from Vincent Cheng <vincentc1208@gmail.com> to control@bugs.debian.org. (Mon, 25 Jun 2012 06:21:04 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions warsow/0.50+dfsg1-1+rm. Request was from Vincent Cheng <vincentc1208@gmail.com> to control@bugs.debian.org. (Mon, 25 Jun 2012 06:21:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Vincent Cheng <vincentc1208@gmail.com> to control@bugs.debian.org. (Mon, 25 Jun 2012 06:21:08 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Vincent Cheng <vincentc1208@gmail.com> to control@bugs.debian.org. (Fri, 05 Oct 2012 12:33:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:44:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.